jQuery Global Class holding constants and static convienience methods.

todo | Offer convenience methods to add a tab or accordion container/pane combination.
package | ZendX_JQuery
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License

### Methods

## jQuery-enable a form instance

    enableForm(\Zend_Form $form) : void

Static

### Parameters

#### $form

`\Zend_Form`

## jQuery-enable a view instance

    enableView(\Zend_View_Interface $view) : void

Static

### Parameters

#### $view

`\Zend_View_Interface`

## Encode Json that may include javascript expressions.

    encodeJson(mixed $value) : mixed

Static

Take care of using the Zend_Json_Encoder to alleviate problems with the json_encode magic key mechanism as of now.

see |

### Parameters

#### $value

`mixed`

### Returns

`mixed`

### Constants

## CDN_BASE_GOOGLE

    CDN_BASE_GOOGLE = 'http://ajax.googleapis.com/ajax/libs/'

see |
const | string Base path to CDN

## CDN_BASE_GOOGLE_SSL

    CDN_BASE_GOOGLE_SSL = 'https://ajax.googleapis.com/ajax/libs/'

see |
const | string Base path to CDN

## Always uses compressed version, because this is assumed to be the use case in production enviroment. An uncompressed version has to included manually.

    CDN_JQUERY_PATH_GOOGLE = '/jquery.min.js'

see |
const | string File path after base and version

## CDN_SUBFOLDER_JQUERY

    CDN_SUBFOLDER_JQUERY = 'jquery/'

const | string

## CDN_SUBFOLDER_JQUERYUI

    CDN_SUBFOLDER_JQUERYUI = 'jqueryui/'

const | string

## Current default supported jQuery library version with ZendX_JQuery

    DEFAULT_JQUERY_VERSION = "1.3.2"

const | string

## Currently supported jQuery UI library version with ZendX_JQuery

    DEFAULT_UI_VERSION = "1.7.1"

const | string

## RENDER_ALL

    RENDER_ALL = 255

## RENDER_JAVASCRIPT

    RENDER_JAVASCRIPT = 8

## RENDER_JQUERY_ON_LOAD

    RENDER_JQUERY_ON_LOAD = 16

## Which parts of the the jQuery library should be rendered on echo'ing the jQuery library to the View. The constants act as bit-mask. This way the jQuery autogenerated code can be refactored based on personal needs.

    RENDER_LIBRARY = 1

see |
const | Integer

## RENDER_SOURCES

    RENDER_SOURCES = 2

## RENDER_STYLESHEETS

    RENDER_STYLESHEETS = 4